# $Revision: 1.8 $, $Date: 2008/10/20 11:48:28 $
#
Summary:	Server for the Monopoly-like board game
Summary(en.UTF-8):	Server for the Monopoly-like board game®
Summary(pl.UTF-8):	Serwer gry planszowej typu Monopoly®
Name:		capitalist
Version:	0.3.1
Release:	1
License:	GPL v2
Group:		Applications/Games/Boards
Source0:	http://dl.sourceforge.net/capitalist/%{name}-%{version}.tar.gz
# Source0-md5:	f93ee3ce9d29eba657e087762d8fd663
Patch0:		%{name}-autotools.patch
URL:		http://kapitalist.sourceforge.net/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kapitalist is a Monopoly-like board game for 2-8 players. Walk around
the board, buy properties, receive rent from your competitors, try to
get monopolies to build houses and hotels on them and finally be the
richest on the board.

This package contains a server. You should also install the kapitalist
package.

%description -l en.UTF-8
Kapitalist is a Monopoly®-like board game for 2-8 players. Walk around
the board, buy properties, receive rent from your competitors, try to
get monopolies to build houses and hotels on them and finally be the
richest on the board.

This package contains a server. You should also install the kapitalist
package.

%description -l pl.UTF-8
Kapitalist jest grą planszową typu Monopoly® dla 2-8 graczy.
Przemierzaj planszę, kupuj nieruchomości, otrzymuj renty od
współzawodników, spróbuj zdobyć wyłączność na budowę domów i hoteli na
poszczególnych posiadłościach, ostatecznie zostań najbogatszym z
graczy na planszy.

Ten pakiet zawiera serwer. Aby móc grać powinieneś również
zainstalować pakiet kapitalist.

%package doc
Summary:	Documentaion for capitalist
Summary(pl.UTF-8):	Dokumentacja capitalist
Group:		Documentation

%description doc
Documentaion for capitalist.

%description doc -l pl.UTF-8
Dokumentacja capitalist.

%prep
%setup -q

%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6,%{_docdir}/%{name}-doc-%{version}/html}

install capitalist/capitalist $RPM_BUILD_ROOT%{_bindir}
install capitalist/docs/capitalist.6 $RPM_BUILD_ROOT%{_mandir}/man6/capitalist.6
install capitalist/docs/en/index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/html/index.html
install capitalist/docs/en/index-1.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/html/index-1.html
install capitalist/docs/en/index-2.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/html/index-2.html
install capitalist/docs/en/index-3.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/html/index-3.html
install capitalist/docs/en/index-4.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/html/index-4.html
install capitalist/docs/en/index-5.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/html/index-5.html
install capitalist/docs/en/index-6.html $RPM_BUILD_ROOT%{_docdir}/%{name}-doc-%{version}/html/index-6.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/capitalist
%{_mandir}/man6/capitalist.6*

%files doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: capitalist.spec,v $
Revision 1.8  2008/10/20 11:48:28  ankry
- en.UTF-8

Revision 1.7  2008/10/20 08:32:09  pawelz
- rel 1, STBR

Revision 1.6  2008/10/20 06:42:44  pawelz
- BR: libstdc++-devel
- adapterized

Revision 1.5  2008/10/19 12:37:48  pawelz
- removed non-ascii chars from en desc and summary (thx wolf)

Revision 1.4  2008/10/19 12:33:30  pawelz
- typo

Revision 1.3  2008/10/19 12:32:40  pawelz
- BRs

Revision 1.2  2008/10/19 10:09:44  pawelz
- adapterized
- NFY

Revision 1.1  2008/10/19 10:05:44  pawelz
- initial PLD release
- NFY

